NETWORKCTL(1)

NAME
networkctl - Query the status of network links

SYNOPSIS

networkctl [OPTIONS...] COMMAND [LINK...]

DESCRIPTION

networkctl may be used to introspect the state of the network links as seen by systemd-networkd. Please refer to systemd-networkd.service(8) for an introduction to the basic concepts, functionality, and configuration syntax.

OPTIONS

The following options are understood:

-a --all
    Show all links with status.

-h, --help
    Print a short help text and exit.

--version
    Print a short version string and exit.

--no-legend
    Do not print the legend, i.e. column headers and the footer with hints.

--no-pager
    Do not pipe output into a pager.

COMMANDS

The following commands are understood:

list [LINK...]
    Show a list of existing links and their status. If no further arguments are specified shows all links, otherwise just the specified links. Produces output similar to:

        IDX LINK         TYPE     OPERATIONAL SETUP
          1 lo           loopback carrier     unmanaged
          2 eth0         ether    routable    configured
          3 virbr0       ether    no-carrier  unmanaged
          4 virbr0-nic   ether    off         unmanaged
        4 links listed.

    The operational status is one of the following:

    off
        the device is powered down

    no-carrier
        the device is powered up, but it does not yet have a carrier

    dormant
        the device has a carrier, but is not yet ready for normal traffic

    carrier
        the link has a carrier

    degraded
        the link has carrier and addresses valid on the local link configured

    routable
        the link has carrier and routable address configured

    The setup status is one of the following:

    pending
        udev is still processing the link, we don't yet know if we will manage it

    failed
        networkd failed to manage the link

    configuring
        in the process of retrieving configuration or configuring the link

    configured
        link configured successfully

    unmanaged
        networkd is not handling the link

    linger
        the link is gone, but has not yet been dropped by networkd

status [LINK...]
    Show information about the specified links: type, state, kernel module driver, hardware and IP address, configured DNS servers, etc.

    When no links are specified, an overall network status is shown. Also see the option --all.

    Produces output similar to:

        ●      State: routable
             Address: 10.193.76.5 on eth0
                      192.168.122.1 on virbr0
                      169.254.190.105 on eth0
                      fe80::5054:aa:bbbb:cccc on eth0
             Gateway: 10.193.11.1 (CISCO SYSTEMS, INC.) on eth0
                 DNS: 8.8.8.8
                      8.8.4.4

lldp [LINK...]
    Show discovered LLDP (Link Layer Discovery Protocol) neighbors. If one or more link names are specified only neighbors on those interfaces are shown. Otherwise shows discovered neighbors on all interfaces. Note that for this feature to work, LLDP= must be turned on for the specific interface, see systemd.network(5) for details.

    Produces output similar to:

        LINK             CHASSIS ID        SYSTEM NAME      CAPS        PORT ID           PORT DESCRIPTION
        enp0s25          00:e0:4c:00:00:00 GS1900           ..b........ 2                 Port #2
        Capability Flags:
        o - Other; p - Repeater;  b - Bridge; w - WLAN Access Point; r - Router;
        t - Telephone; d - DOCSIS cable device; a - Station; c - Customer VLAN;
        s - Service VLAN, m - Two-port MAC Relay (TPMR)
        1 neighbors listed.

label
    Show numerical address labels that can be used for address selection. This is the same information that ip-addrlabel(8) shows. See RFC 3484[1] for a discussion of address labels.

    Produces output similar to:

        Prefix/Prefixlen                          Label
                ::/0                                  1
            fc00::/7                                  5
            fec0::/10                                11
            2002::/16                                 2
            3ffe::/16                                12
         2001:10::/28                                 7
            2001::/32                                 6
        ::ffff:0.0.0.0/96                             4
                ::/96                                 3
               ::1/128                                0

EXIT STATUS

On success, 0 is returned, a non-zero failure code otherwise.

SEE ALSO

systemd-networkd.service(8), systemd.network(5), systemd.netdev(5), ip(8)

NOTES

1.  RFC 3484
    https://tools.ietf.org/html/rfc3484